data-default-instances-containers-0.0.1: Default instances for types in containers

Safe Haskell | Safe
Language | Haskell98

Data.Default.Instances.Containers

Contents

- Orphan instances

Synopsis

# Documentation

This module defines `Default` instances for the types `Set`, `Map`, `IntMap`, `IntSet`, `Seq`, and `Tree`.

# Orphan instances

Default IntSet # |
Methods def :: IntSet #
Default a => Default (Tree a) # |
Methods def :: Tree a #
Default (Seq a) # |
Methods def :: Seq a #
Default (IntMap v) # |
Methods def :: IntMap v #
Default (Set v) # |
Methods def :: Set v #
Default (Map k v) # |
Methods def :: Map k v #